# $Id$
# Authority: dag
# Upstream: Clark Cooper <clark$coopercc,net>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name XML-Encoding

Summary: Perl module for parsing XML encoding maps
Name: perl-XML-Encoding
Version: 1.01
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/XML-Encoding/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/XML/XML-Encoding-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
perl-XML-Encoding is a Perl module for parsing XML encoding maps.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST README
%doc %{_mandir}/man3/XML::Encoding.3pm*
%{_bindir}/compile_encoding
%{_bindir}/make_encmap
%dir %{perl_vendorlib}/XML/
%{perl_vendorlib}/XML/Encoding.pm

%changelog
* Thu May 31 2007 Dag Wieers <dag@wieers.com> - 1.01-1 - +/
- Initial package. (using DAR)
